<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>get_browser</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Ermittelt die M&ouml;glichkeiten eines Browsers">
<meta name="keywords"       content="SELFPHP, PHP, Sonstige-Funktionen, get_browser">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-22T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/sonstige_funktionen/get_browser.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-22T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // Sonstige-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Sonstige-Funktionen</b></a></td>
</tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
<td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%">
      <h2>get_browser</h2>
<tr>
<td bgcolor="#EEEEEE" class="doc" valign="top" align="center">
<img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite">
</td>
<td bgcolor="#FFFFFF" valign="top" nowrap>
<p>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
</p>
</td>
</tr><tr><td colspan=2 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td></tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">object <b>get_browser</b>([string user_agent])</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p>PHP 3, PHP 4 &gt;= 4.0b1</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="79">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Mit get_browser() kann man die M&ouml;glichkeiten des Browsers eines 
        Benutzers<br>
        ermitteln. Sobald ein Browser auf ein Skript zugreift, wird der Wert von<br>
        &quot;$HTTP_USER_AGENT&quot; ausgelesen. Die Funktion get_browser() sucht 
        einen<br>
        entsprechenden Eintrag in der &quot;browscap.ini&quot;. Sollte nun die 
        Browser-Version in<br>
        der Datei vorhanden sein, so werden alle M&ouml;glichkeiten des Browsers 
        in ein<br>
        Objekt eingetragen. Es wird dabei nicht ber&uuml;cksichtigt, ob der User 
        in seinem<br>
        Browser bestimmte M&ouml;glichkeiten deaktiviert hat. Es wird nur aufgezeigt, 
        welche<br>
        M&ouml;glichkeiten der Browser unterst&uuml;tzt.<br>
        Sie k&ouml;nnen auch mit dem optionalen Parameter user_agent eine Option 
        zum<br>
        Ermitteln der Browser-Version festlegen. Ist dieser Parameter nicht gesetzt, 
        so<br>
        wird PHP mittels &quot;$HTTP_USER_AGENT&quot; den Browser-Typ ermitteln.</p>
      <p>In der folgenden Tabelle sehen Sie eine Beispielausgabe f&uuml;r einen 
        Browser. Sie<br>
        k&ouml;nnen sich aber alle m&ouml;glichen Ausgaben in der Datei browscap.ini 
        ansehen.<br>
        Beachten Sie bitte, dass Sie als Systemadministrator diese Datei immer 
        pflegen<br>
        und auf dem neuesten Stand halten sollten. Hierzu brauchen Sie nur in 
        einer<br>
        Suchmaschine als Suchbegriff &quot;browscap.ini&quot; einzugeben und Sie 
        werden sehr<br>
        schnell die neueste Version finden.<br>
        Damit PHP auch wei&szlig;, wo die Datei liegt, muss sie in der php.ini 
        eingetragen<br>
        werden:<br>
        [browscap]<br>
        browscap = c:\winnt\system32\inetsrv\browscap.ini</p>
      <table border="1" bgcolor=#000000 cellspacing=1>
        <tr bgcolor=#DDDDDD>
          <td>Eigenschaft</td>
          <td>Beispiel f&uuml;r ein Browser</td>
        </tr>
        <tr bgcolor=#FFFFFF>
          <td>browser_name_pattern</td>
          <td>Mozilla/4.0 (compatible; MSIE 4.01; MSIECrawler;*)</td>
        </tr>
        <tr bgcolor=#FFFFFF>
          <td>parent</td>
          <td>IE 4.0</td>
        </tr>
        <tr bgcolor=#FFFFFF>
          <td>platform</td>
          <td>Win95</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>minorver</td>
          <td>01</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>browser</td>
          <td>IE</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>Version</td>
          <td>4.0</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>majorver</td>
          <td>5</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>frames</td>
          <td>True</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>tables</td>
          <td>True</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>cookies</td>
          <td>True</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>backgroundsounds</td>
          <td>True</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>vbscript</td>
          <td>True</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>javascript</td>
          <td>True</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>javaapplets</td>
          <td>True</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>ActiveXControls</td>
          <td>True</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>Win16</td>
          <td>False</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>beta</td>
          <td>False</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>AK</td>
          <td>False</td>
		<tr bgcolor=#FFFFFF>
          <td>SK</td>
          <td>False</td>
		</tr>
		<tr bgcolor=#FFFFFF>
          <td>AOL</td>
          <td>False</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>crawler</td>
          <td>False</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>MSN</td>
          <td>False</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>CDF</td>
          <td>True</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>DHTML</td>
          <td>True</td>
        </tr>
		<tr bgcolor=#FFFFFF>
          <td>XML</td>
          <td>True</td>
        </tr>
      </table>
      
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?php<br>function list_array ($array) {<br>  while (list ($key, $value) = each ($array)) {<br>    $str .= &quot;$key: $value&quot;;<br>    $str .= &quot;&lt;br&gt;&quot;;<br>  }<br>  return $str;<br>}<br>echo $HTTP_USER_AGENT;<br>echo &quot;&lt;br&gt;&quot;;<br>$browser = get_browser();<br>echo list_array ((array) $browser);<br>?&gt;</pre>
      <p></p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="45">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>[Mozilla/5.0 (compatible; MSIE 5.0MSFinal; Windows 2000)]<br>
        parent: IE 5.0<br>
        platform: WinNT<br>
        browser: IE<br>
        Version: 5.0<br>
        majorver: 5<br>
        minorver: 0<br>
        frames: 1<br>
        tables: 1<br>
        cookies: 1<br>
        backgroundsounds: 1<br>
        vbscript: 1<br>
        javascript: 1<br>
        javaapplets: 1<br>
        ActiveXControls: 1<br>
        Win16: <br>
        beta: <br>
        AK: <br>
        SK: <br>
        AOL: <br>
        crawler: <br>
        MSN: <br>
        CDF: 1<br>
        DHTML: 1<br>
        XML: 1</p>
      <p></p>
    </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="highlight_file.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="highlight_file.html"><b>highlight_file</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="exit.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="exit.html"><b>exit</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Sonstige-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>